Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Auth

Auth Token

post

Generate JWT token for authentication

Body

Request body for authentication

usernamestringRequiredDefault: ""
passwordstring · passwordRequiredDefault: ""
client_idstringRequiredDefault: pdc-client
grant_typestringRequiredDefault: password
scopestringRequiredDefault: openid profile email
Responses
200

Default Response

application/json
messagestringRequiredDefault: OK
post/api/public/v2/auth
POST /api/public/v2/auth HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 109

"username=''&password=''&client_id='pdc-client'&grant_type='password'&scope='openid profile email'"
{
  "message": "OK",
  "data": {
    "accessToken": "text"
  }
}

Last updated

Was this helpful?